> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wallets

> This endpoint allows you to retrieve wallets.



## OpenAPI

````yaml openapi.json get /wallets
openapi: 3.0.3
info:
  title: Bread API
  description: >-
    The Bread provides comprehensive cryptocurrency wallet management
    capabilities including wallet creation, balance monitoring, and asset
    transfers.
  version: 2.0.0
servers:
  - url: https://processor-prod.up.railway.app
    description: Production server
security: []
paths:
  /wallets:
    get:
      tags:
        - Wallet
      summary: Get wallets
      description: This endpoint allows you to retrieve wallets.
      operationId: listWallets
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            description: >-
              This is the current page being requested relative to size of a
              page
            default: 1
        - name: wallet_id
          in: query
          description: The wallet ID of the exact wallet you want to fetche details for.
          schema:
            type: string
      responses:
        '200':
          description: Wallets fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ApiResponse:
      type: object
      properties:
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Wallets fetched successfully
        data:
          type: object
          properties:
            wallets:
              type: array
              items:
                $ref: '#/components/schemas/Wallet'
            total:
              type: integer
              example: 1
            page:
              type: integer
              example: 1
            limit:
              type: integer
              example: 10
    Wallet:
      type: object
      properties:
        id:
          type: string
          example: 68bc290df51feea8c53f5275
        reference:
          type: string
          example: rmb9y5fxuuc7dbb5nsoj0lezd25uls
        is_active:
          type: boolean
          example: true
        address:
          type: object
          properties:
            evm:
              type: string
              example: '0xf66Dd142c6F15431835f402b0B8a6093C86D7EC2'
            svm:
              type: string
              example: F5t8SUAPd7Ebjk6WZvGZbfS2z15RJvZ6LgXZhccwQS93
        transfer:
          type: boolean
          example: false
        swap:
          type: boolean
          example: false
        offramp:
          type: boolean
          example: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-service-key

````